#define SCR_WIDTH   320
#define SCR_HEIGHT  240
#define BACKCOL_ID  6
#define rgb2color(r, g, b)  ((uint16_t)(((r << 7) & 0x7C00) | ((g << 2) & 0x03e0) | (b >> 3))) //RGB-555

void initPalette();
void gc_drawTile(uint8_t* data, uint16_t x, uint16_t y, uint16_t w, uint16_t h, uint8_t searchval, uint8_t replval);
void fillScreen(uint8_t color);
void fillLines(uint8_t color, uint8_t y1, uint8_t y2);
uint8_t getBrightness();
void setBrightness(uint8_t bright);
void increaseBrightness(uint8_t targetBrightness);
void startScreen8bpp();
void endScreen8bpp();
uint8_t* getOffscreen();
void gc_drawZoomTile(uint8_t* data, uint16_t x, uint16_t y, uint16_t w, uint16_t h, uint8_t zoom);
void drawVert(uint16_t x, uint16_t y1, uint16_t y2, uint8_t color);