/* Keep these headers */
#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>
#include <ti84pce.h>

/* Standard headers - it's recommended to leave them included */
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Your code here */
void startKeys()
{
    (*(uint8_t*)0xF50000) = 3;
}

void stopKeys()
{
    (*(uint8_t*)0xF50000) = 0;
}

uint8_t isKeyPressed(uint16_t key)
{
    uint8_t* addr = (uint8_t*)(0xF50000 + (uint8_t)(key >> 8));
    uint8_t mask = key & 0xFF;
    return ((*addr)&mask) ? 1 : 0;
}